For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • GETGet account activity summary
      • GETGet account balance
      • GETGet account users
      • GETList all accounts
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APIAccount Data

List all accounts

|View as Markdown|Open in Claude|
GET
https://sandbox.trustly.one/api/v1/transactions/:transactionId/payment/paymentProvider/accounts
GET
/api/v1/transactions/:transactionId/payment/paymentProvider/accounts
$curl https://sandbox.trustly.one/api/v1/transactions/transactionId/payment/paymentProvider/accounts \
> -u "<username>:<password>"
1{
2 "accounts": [
3 {
4 "providerId": "200005501",
5 "paymentProvider": {
6 "paymentProviderId": "200005501",
7 "type": 1,
8 "name": "Demo Bank",
9 "instantPayoutAvailable": false,
10 "swift": "PBNKUS11XXX",
11 "country": "US"
12 },
13 "nameOnAccount": "John Smith",
14 "name": "Demo Checking Account",
15 "type": 1,
16 "profile": 1,
17 "accountNumber": "123456576",
18 "verified": true,
19 "verification": {
20 "verified": true,
21 "type": 2,
22 "hasEnoughFunds": false,
23 "verificationDate": 1
24 },
25 "routingNumber": "124003116"
26 },
27 {
28 "providerId": "200005501",
29 "paymentProvider": {
30 "paymentProviderId": "200005501",
31 "type": 1,
32 "name": "Demo Bank",
33 "instantPayoutAvailable": false,
34 "swift": "PBNKUS11XXX",
35 "country": "US"
36 },
37 "nameOnAccount": "John Smith",
38 "name": "Demo Saving Account",
39 "type": 2,
40 "profile": 2,
41 "accountNumber": "20004000",
42 "verified": true,
43 "verification": {
44 "verified": true,
45 "type": 2,
46 "hasEnoughFunds": false,
47 "verificationDate": 1
48 },
49 "routingNumber": "124003116"
50 }
51 ]
52}
Returns a list of all user-selected accounts associated with a given authorization transaction. **Warning**</br>Please wait to receive the [DataReady](../reference/post_dataready) event before calling this endpoint. Requests to this endpoint made prior to receiving the DataReady event can result in partial data being returned.
Was this page helpful?
Previous

Get account users

Next

Post Account Feedback

Built with

Returns a list of all user-selected accounts associated with a given authorization transaction.

WarningPlease wait to receive the DataReady event before calling this endpoint. Requests to this endpoint made prior to receiving the DataReady event can result in partial data being returned.

Authentication

AuthorizationBasic

Path parameters

transactionIdstringRequired
Transaction ID retrieved from a Trustly Authorization transaction.

Response

OK
accountslist of objects

Errors

400
Bad Request Error